Retrieves the job_priority object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
job_priority| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the priority |
string |
Required Max length: 50 |
| is_default |
If default, will be auto selected when creating new jobs |
boolean | |
| sequence |
Sorting field (0 first) |
integer | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating job_priority |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating job_priority |
sales_organization | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "3ecebf7b-f6ca-47ba-b3ad-bc0a7138c289",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "be07f5a7-a064-469e-b41c-cad1c50a4f62",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "7198c00c-c7e9-47e6-8a1e-bc348257447d",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "7cf8196e-df89-41ce-a9a0-8ae1bd27c4dc",
"db_currency_id": "cb8d8f0c-19ed-4ac0-ab35-11d8b5ea36a6",
"db_language_id": "cb944fa6-47c0-40c2-b85b-4bbfdc624759",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-06-05T19:41:45.7198732+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-06-05T19:41:45.7198732+00:00"
}